cvsd (1.0.25) unstable; urgency=low

  * add a `--nofork` option to allow running cvsd in the foreground (thanks наб)
  * add a systemd service file (thanks наб) (closes: #1039159)
  * upgrade to standards-version 3.9.2, debhelper compatibility to 13 and
    other cleanups

 -- Arthur de Jong <adejong@debian.org>  Sun, 10 Nov 2024 16:39:40 +0100

cvsd (1.0.24) unstable; urgency=low

  * bump debhelper compatibility to 9 and enable hardening flags (thanks
    Simon Ruderich) (closes: #662226)
  * allow debconf preseeding of removal of chroot jail (closes: #672158)

 -- Arthur de Jong <adejong@debian.org>  Sat, 02 Jun 2012 16:58:57 +0200

cvsd (1.0.23) unstable; urgency=low

  * have cvsd-buildroot look in all multiarch subdirectories of /lib for
    NSS libraries (LP: #801675)
  * portability improvement by Eric Schnoebelen
  * switch to dh for debian/rules and bump debhelper compatibility to 8
  * switch to machine-readable debian/copyright format
  * upgrade to standards-version 3.9.2 (no changes needed)
  * update Vietnamese debconf translation to use correct paragraph markers
  * added Italian debconf translation by Beatrice Torracca (closes: #662119)

 -- Arthur de Jong <adejong@debian.org>  Sun, 04 Mar 2012 11:00:00 +0100

cvsd (1.0.22) unstable; urgency=low

  * update FAQ from website (closes: #607823)
  * don't log EINTR on select() any more, not even in debug mode
  * fix for cvsd-buildroot to also work on multiarch setups
  * log address and port with bind() failures
  * switch to 3.0 (native) source format
  * upgrade to standards-version 3.9.2 (no changes needed)

 -- Arthur de Jong <adejong@debian.org>  Mon, 13 Jun 2011 14:00:00 +0200

cvsd (1.0.21) unstable; urgency=low

  * handle failure to bind() as a fatal error now (see #595779)

 -- Arthur de Jong <adejong@debian.org>  Wed, 08 Sep 2010 22:00:00 +0200

cvsd (1.0.20) unstable; urgency=low

  * correctly listen on IPv4 and IPv6 addresses with recent Glibc versions
    by not depending on the order of address records returned by getaddrinfo()
    and work regardless of net.ipv6.bindv6only sysctl (LP: #622035)

 -- Arthur de Jong <adejong@debian.org>  Sun, 05 Sep 2010 10:00:00 +0200

cvsd (1.0.19) unstable; urgency=low

  * cvsd-buildroot: ignore commented out lines in CVSROOT/passwd files
  * cvsd-buildroot: set an umask for generated files
  * some documentation updates
  * change init script dependency on $remote_fs (for /usr) from Should
    to Required (thanks lintian)
  * upgrade to standards-version 3.9.1 (no changes needed)
  * switch to explicit "1.0" source format

 -- Arthur de Jong <adejong@debian.org>  Tue, 17 Aug 2010 18:00:00 +0200

cvsd (1.0.18) unstable; urgency=low

  * use simpler shell semantics in cvsd-buildroot to fix a problem with bash 4
    (LP: #474666)
  * fix call to uname in the cvsd-buginfo script

 -- Arthur de Jong <adejong@debian.org>  Thu, 14 Jan 2010 22:00:00 +0100

cvsd (1.0.17) unstable; urgency=low

  * update to automake 1.11
  * some small spelling fixes in documentation
  * changed references to home page and contact email addresses to use
    arthurdejong.org
  * added Russian debconf translation by Yuri Kozlov (closes: #547487)
  * debian/control: changed section to vcs
  * upgrade to standards-version 3.8.3 (no changes needed)
  * upgrade to debhelper compatibility level 7

 -- Arthur de Jong <adejong@debian.org>  Wed, 30 Dec 2009 22:00:00 +0100

cvsd (1.0.16) unstable; urgency=low

  * added Swedish debconf translation by Martin Bagge (closes: #508754)
  * fix some lintian issues (override some and fix one)

 -- Arthur de Jong <adejong@debian.org>  Sun, 21 Dec 2008 16:00:00 +0100

cvsd (1.0.15) unstable; urgency=low

  * fix init script to return proper exit code when stopping non-running cvsd
    or starting already-started cvsd
  * take a shot at making debian/copyright machine parseable
  * cvsd-buildroot now removes tls directories in the chroot jail if the
    environment outside it does not contain them (any more) (closes: #456111)
  * upgrade to standards-version 3.8.0 (no changes needed)

 -- Arthur de Jong <adejong@debian.org>  Fri, 13 Jun 2008 16:30:00 +0200

cvsd (1.0.14) unstable; urgency=low

  * added Vcs-Cvs, Vcs-Browser and Homepage fields
  * better cvsd user and group removal commands on purge
  * some typo fixes in documentation and other minor fixes in the code

 -- Arthur de Jong <adejong@debian.org>  Fri, 07 Dec 2007 16:00:00 +0200

cvsd (1.0.13) unstable; urgency=low

  * cvsd-buildroot: further portability improvements on 64 bit platforms
  * added Portuguese debconf translation by Ricardo Silva (closes: #383067)
  * added warnings and errors on failing to close a socket
  * added LSB headers to init script

 -- Arthur de Jong <adejong@debian.org>  Sun, 20 Aug 2006 14:22:58 +0200

cvsd (1.0.12) unstable; urgency=low

  * cvsd-buildroot should not fail any more if tmpreaper is not present
    (closes: #368927, #368960)
  * some more failure preventions in cvsd-buildroot
  * cvsd-buildroot no longer looks in lock directories for repositories
    (closes: #369007)

 -- Arthur de Jong <adejong@debian.org>  Thu,  1 Jun 2006 22:00:00 +0200

cvsd (1.0.11) unstable; urgency=low

  * cvsd-buildroot should now install libraries in the same directory
    structure as on the normal filesystem, resulting in better support for
    64 bit systems
  * other small improvements to cvsd-buildroot, including better error
    handling and not overwriting devices
  * small code improvements
  * upgrade to standards-version 3.7.2 (no changes needed)

 -- Arthur de Jong <adejong@debian.org>  Sun, 24 May 2006 21:00:00 +0200

cvsd (1.0.10) unstable; urgency=low

  * now really add Czech debconf translation (see release 1.0.5)
  * added Spanish debconf translation by César Gómez Martín (closes: #334561)
  * use lsb functions in init script to present output
  * added CvsArgs configfile option to pass extra arguments to the cvs command
    thanks to Stefan Bethke

 -- Arthur de Jong <adejong@debian.org>  Thu, 29 Dec 2005 23:00:00 +0100

cvsd (1.0.9) unstable; urgency=low

  * changed email address and homepage location, new homepage is at
    http://ch.tudelft.nl/~arthur/cvsd/
  * updated FAQ about mismatch of system and chroot uids (closes: #322132)
  * add support in cvsd-buildroot to copy users from nis/ldap instead of
    directly from /etc/passwd

 -- Arthur de Jong <adejong@debian.org>  Sun, 21 Aug 2005 15:00:00 +0200

cvsd (1.0.8) unstable; urgency=low

  * fix typo in English debconf templates by Clytie Siddall
  * added Vietnamese debconf translation by Clytie Siddall (closes: #310171)
  * upgrade to standards-version 3.6.2 (no changes needed)
  * fix small typo in German translation spottet by Jens Seidel
    (closes: #314103)
  * add dependency on adduser, thanks lintian
  * remove --exec option from start-stop-daemon for systems that change
    executables between start and stop (e.g. when using prelinking)

 -- Arthur de Jong <adejong@debian.org>  Sun, 24 Jul 2005 15:00:00 +0200

cvsd (1.0.7) unstable; urgency=low

  * improvements to the README
  * fix bug in cvsd-buildroot correctly creating lib64 directory

 -- Arthur de Jong <adejong@debian.org>  Tue, 26 Apr 2005 22:00:00 +0200

cvsd (1.0.6) unstable; urgency=low

  * cvsd-buildroot creates lib64 and usr/lib64 inside the chroot jail if they
    exist on the system and add /lib64/ld-linux-x86-64.so.2 to list of
    libraries that will be installed (useful for amd64 amongst others)
    (closes: #298460)
  * remove -Wformat-literal option to enable warnings on more compilers
    (closes: #298480)

 -- Arthur de Jong <adejong@debian.org>  Fri, 11 Mar 2005 14:15:00 +0100

cvsd (1.0.5) unstable; urgency=low

  * start short description with lower case (thanks lintian)
  * added Czech debconf translation by Jan Outrata (closes: #291578)
  * added some more checks to the cvsd-buginfo script

 -- Arthur de Jong <adejong@debian.org>  Sat,  5 Mar 2005 19:30:00 +0100

cvsd (1.0.4) unstable; urgency=low

  * small bugfix in cvsd-buginfo
  * build package using --disable-dependency-tracking
  * added Japanese debconf translation by Hideki Yamane (closes: #283275)
  * fix reference to README in debconf question spotted by Sean Coates
    (translations also fixed)
  * upgrade to automake 1.9

 -- Arthur de Jong <adejong@debian.org>  Sun, 12 Dec 2004 21:30:00 +0100

cvsd (1.0.3) unstable; urgency=low

  * documentation improvements and fixes
  * made scripts more portable
  * added cvsd-buginfo script for gathering information for bugreports and
    added reportbug hooks
  * added experimental capabilities support (disabled by default) based on a
    patch by Shugo Maeda

 -- Arthur de Jong <adejong@debian.org>  Sat,  7 Aug 2004 23:00:00 +0200

cvsd (1.0.2) unstable; urgency=low

  * added Danish (da) debconf translation by Claus Hindsgaul
    (closes: #234897)
  * debconf limit choicelist is now also translated
  * updated German (de) debconf translation by Jens Seidel
  * updated French (fr) debconf translation by Christian Perrier
  * init script now uses kill -0 <pid> to get cvsd status
  * repositories debconf question now uses correct chroot jail

 -- Arthur de Jong <adejong@debian.org>  Sat, 17 Apr 2004 12:00:00 +0200

cvsd (1.0.1) unstable; urgency=low

  * move logging of exiting child processes and exit signals out of signal
    handlers to avoid deadlock racecondition in signal-unsafe functions,
    thanks to Dan Nuffer for spotting this
  * updated German (de) debconf translation by DDTP
    (http://ddtp.debian.org/debconf/template_unstable/cvsd/templates-de.po
    cleaned out with some modifications from my part)
  * upgrade to autoconf 2.59
  * use --retry with start-stop-daemon on restart to stop old cvsd in init
    script

 -- Arthur de Jong <adejong@debian.org>  Sun, 22 Feb 2004 18:15:00 +0100

cvsd (1.0.0) unstable; urgency=low

  * changed maintainer address to adejong@debian.org.
  * added French (fr) debconf translation by Christian Perrier
    (closes: #207237)
  * upgrade to standards-version 3.6.1 (no changes needed)
  * do not stop cvsd in postinst any more (was needed on woody for
    dpkg-reconfigure)

 -- Arthur de Jong <adejong@debian.org>  Sun, 28 Sep 2003 17:15:00 +0200

cvsd (0.9.20) unstable; urgency=low

  * upgrade to standards-version 3.6.0 (no changes needed)
  * fix back for fist debconf question (keep current question
    instead of hanging)
  * also suggest tmpreaper since it can be used from cvsd-buildroot
  * cvsd-buildroot now does tmpreaper detection better (e.g. is possible from
    all sorts of shells) (closes: #205194)
  * rewrite code for storing of configuration settings
  * only ask debconf question if debconf is available during purge
  * also ship debian/po/templates.pot in source tarball (closes: #205807)
  * fix for when MaxConnections is 0

 -- Arthur de Jong <arthur@tiefighter.et.tudelft.nl>  Sun, 17 Aug 2003 15:30:00 +0200

cvsd (0.9.19) unstable; urgency=low

  * upgrade to standards-version 3.5.10 (no changes needed)
  * make cvsd group a system group (--system option is poorly
    documented in woody but works)
  * improve consistency of language in debconf templates
  * cvsd.conf is now modified instead of replaced by debconf configuration,
    all user edits to cvsd.conf are now saved, including comments
  * small code improvements
  * upgrade to autoconf (2.57) and automake (1.6.3)
  * fixes to libwrap code and improvements to properly detect
    required libraries for libwrap from configure
  * debconf templates are now translated using po-debconf:
    - Brazilian Portuguese (pt_BR) by Andre Luis Lopes
    - German (de) (partial) by Description Translation Project (some small
      modifications from my part)
    - Dutch (nl) by myself (improvements are welcome)

 -- Arthur de Jong <arthur@tiefighter.et.tudelft.nl>  Sun,  8 Jun 2003 14:00:00 +0200

cvsd (0.9.18) unstable; urgency=low

  * removed ChangeLog from binary packages since it contains only information
    relevant if you have the sources, it is generated from cvs logs. for a
    list of changes see this changelog or the NEWS file (which is almost
    identical)
  * upgraded standards-version to 3.5.9
  * some small portability fixes
  * small documentation improvements
  * fix for typo in cvsd-buildroot
  * added status option to init script
  * improved debconf questions thanks to Joey Hess
  * settings in cvsd.conf are now read by debconf
    (comments are not yet retained)
  * Umask is now also configurable from debconf

 -- Arthur de Jong <arthur@tiefighter.et.tudelft.nl>  Mon, 21 Apr 2003 19:30:00 +0200

cvsd (0.9.17) unstable; urgency=low

  * cvsd-buildroot now also checks if devices can be used (closes: #177949)
  * configure script improvements
  * upgrade to automake 1.6

 -- Arthur de Jong <arthur@tiefighter.et.tudelft.nl>  Sun, 16 Feb 2003 20:02:20 +0100

cvsd (0.9.16) unstable; urgency=low

  * logging may now be customized through the Log configoption
    (currently not supported through debconf configuration)
  * errors in configfile are reported to stderr on startup
  * backwards compatibility for the old Port configoption was removed
  * normal logging is now disabled in debugging mode (-d switch)
  * fixed bug that caused logging to always occur at debug level

 -- Arthur de Jong <arthur@tiefighter.et.tudelft.nl>  Sun, 19 Jan 2003 14:15:15 +0100

cvsd (0.9.15) unstable; urgency=low

  * add -d switch to cvsd to run cvsd in debugging mode with verbose
    logging to stderr
  * turned off hyphenation in manual pages
  * rewritten logging code to be more configurable
  * updated README
  * FAQ is now generated from faq.html of homepage
  * now use invoke-rc.d in debian/postinst
  * upgraded standards-version to 3.5.8

 -- Arthur de Jong <arthur@tiefighter.et.tudelft.nl>  Sun, 22 Dec 2002 21:41:27 +0100

cvsd (0.9.14) unstable; urgency=low

  * upgraded standards-version to 3.5.7
  * back is now possible using debconf configuration (if frontend supports it)
  * drop all supplemenal group priviliges
  * close all unnecessary file descriptors before running cvs
    (These two fixes are security related but pose a risc only if the cvs
     pserver itself is exploited, thanks to env_audit for finding these.)
  * cvsd-passwd now gets default user mapping from cvsd.conf

 -- Arthur de Jong <arthur@tiefighter.et.tudelft.nl>  Sun, 27 Oct 2002 14:44:48 +0200

cvsd (0.9.13.1) unstable; urgency=low

  * removed symlink from source tarball causing build failure (closes: #163432)
  * compacted changelog

 -- Arthur de Jong <arthur@tiefighter.et.tudelft.nl>  Sun,  6 Oct 2002 16:17:47 +0200

cvsd (0.9.13) unstable; urgency=low

  * cvsd-buildroot: fix for locating repository passwd files
  * implemented tcp wrapper support (recompile to enable)
  * enable compiler warnings by default when building .deb
  * on package purge prompt to remove chroot jail
  * install sample configuration file in doc directory
  * removed build-dependency on cvs

 -- Arthur de Jong <arthur@tiefighter.et.tudelft.nl>  Thu,  3 Oct 2002 19:43:18 +0200

cvsd (0.9.12.1) unstable; urgency=low

  * debian/copyright: added notes about me being the maintainer and where to get
    the current version of cvsd
  * updated standards-version to 3.5.6.0

 -- Arthur de Jong <arthur@tiefighter.et.tudelft.nl>  Mon, 16 Sep 2002 20:52:19 +0200

cvsd (0.9.12) unstable; urgency=low

  * updated cvsd-passwd manual page
  * cvsd-buildroot fixes for Solaris
  * initial Debian release (closes: #160679)

 -- Arthur de Jong <arthur@tiefighter.et.tudelft.nl>  Sat, 14 Sep 2002 17:10:00 +0200

cvsd (0.9.11) unstable; urgency=low

  * bugfixes and code documentation to cvsd-passwd
  * extra checks and warnings in cvsd-buildroot
  * fixed bugs in portability wrappers for older systems
    thanks to Florian Zschocke
  * made cvsd-buildroot output better readable

 -- Arthur de Jong <arthur@tiefighter.et.tudelft.nl>  Sun, 25 Aug 2002 14:29:26 +0200

cvsd (0.9.10) unstable; urgency=low

  * removed old netwoking code and replaced with wrappers for
    getaddrinfo() and related functions
  * documentation updates (manual pages and README)
  * cvsd-buildroot: create lock directories referenced in repositories
  * miscellaneous portability enhancements and fixes
  * removed removing of pidfile since this is probably silly
  * add mapping to system user on commandline for cvsd-passwd
  * init scripts now reads pidfile from configfile
  * added experimental .spec file thanks to Matthew L Daniel and
    Andreas Metzler

 -- Arthur de Jong <arthur@tiefighter.et.tudelft.nl>  Sun, 28 Jul 2002 14:47:41 +0200

cvsd (0.9.9) unstable; urgency=low

  * lots of portability fixes in cvsd, cvsd-buildroot and init script cvsd
    should now work on OpenBSD and probably Solaris and FreeBSD
  * documentation improvements (new FAQ and README section on lockfiles)
  * remove pidfile on exit
  * Listen options can be specified in several formats
  * add redhat 7.1 init script

 -- Arthur de Jong <arthur@tiefighter.et.tydelft.nl>  Mon, 24 Jun 2002 18:46:11 +0200

cvsd (0.9.8) unstable; urgency=low

  * be more forgiving when binding sockets fails (missing protocols etc)
  * networking code fixes to increase portability
  * fixed off by one byg when listening on more than 16 sockets

 -- Arthur de Jong <arthur@tiefighter.et.tydelft.nl>  Sat,  6 Apr 2002 17:53:34 +0200

cvsd (0.9.7) unstable; urgency=low

  * replaced Port configoption by Listen configoption
  * improved networking code to allow IPv6 and listening
    on multiple network interfaces
  * made use of debconf optional
  * numerous code improvements (see ChangeLog)

 -- Arthur de Jong <arthur@tiefighter.et.tydelft.nl>  Fri, 30 Mar 2002 12:04:26 +0100

cvsd (0.9.6) unstable; urgency=low

  * configure fixes for solaris (and others?)
  * added Umask configuration option
  * split source for configfile to seporate sourcefile
  * cleaned up source and include file handling
  * added more debugging information for better testing

 -- Arthur de Jong <arthur@tiefighter.et.tudelft.nl>  Mon, 25 Feb 2002 21:38:22 +0100

cvsd (0.9.5) unstable; urgency=low

  * now using autoconf 2.50
  * first steps to get cvsd to compile on solaris
  * split source in several files for better maintainability
  * added 'unlimited' value for limits

 -- Arthur de Jong <arthur@tiefighter.et.tudelft.nl>  Fri, 25 Jan 2002 21:41:00 +0100

cvsd (0.9.4) unstable; urgency=low

  * added CvsCommand in configuration file
  * small fix to init script for slow releasing sockets (should be fixed better)
  * added Limit options
  * improved Debian scripts

 -- Arthur de Jong <arthur@tiefighter.et.tudelft.nl>  Mon, 31 Dec 2001 21:50:53 +0100

cvsd (0.9.3) unstable; urgency=low

  * provide simple getopt_long() for systems that don't have it
  * go more easy on failing accept()
  * logging output is more readable

 -- Arthur de Jong <arthur@tiefighter.et.tudelft.nl>  Thu, 20 Dec 2001 23:07:23 +0100

cvsd (0.9.2) unstable; urgency=low

  * added nice values to daemon
  * improved signal handling with signal names
  * code cleanup
  * spelling checked most stuff
  * debian configuration fully through debconf

 -- Arthur de Jong <arthur@tiefighter.et.tudelft.nl>  Fri, 14 Dec 2001 18:43:13 +0100

cvsd (0.9.1) unstable; urgency=low

  * added cvsd-passwd tool for editing CVSROOT/passwd files
  * improved debian configuration (getting there)
  * added support for symbolic uids and gids in configfile
  * cvsd-buildroot updated to add support for changing passwd values
  * small improvements to logging
  * cvsd now daemonizes itself and writes pidfile

 -- Arthur de Jong <arthur@tiefighter.et.tudelft.nl>  Sun, 18 Nov 2001 18:14:56 +0100

cvsd (0.9.0) unstable; urgency=low

  * Initial Release.

 -- Arthur de Jong <arthur@tiefighter.et.tudelft.nl>  Sun,  4 Nov 2001 23:00:00 +0200
